Subject: [bug#64667] [PATCH 1/1] gnu: Add grub-coreboot

From: Vagrant Cascadian <[email-masked]>
Date: Tue, 29 Aug 2023 15:58:33 -0700

On 2023-07-27, Denis 'GNUtoo' Carikli wrote:
> On Tue, 18 Jul 2023 11:00:45 -0700
> Vagrant Cascadian <[email-masked]> wrote:
>> > +           ;; Several tests fail
>> > +           ((#:tests? _ #f)
>> > +            #f)
>> 
>> Could you explain in more detail about the failing tests in the
>> comment? Which tests?  Are they testing things that are not valid in a
>> grub-coreboot context?  Is it not reasonable or not plausible to
>> selectively disable only the failing tests?
> I've looked into it, and the reason the test fails is similar than with
> UEFI: many tests require to build a Coreboot image (and also to
> build cbfstool which is available in Coreboot)[1].
>
> And building Coreboot for qemu would require to deblob it first, and
> simply using Libreboot for that doesn't work anymore because recent
> versions don't deblob Coreboot and even ship nonfree software in the
> releases.
>
> So at some point we will likely have some clean solution for that, but
> it could take some time.
>
> In the meantime if the comment is changed for the following, would it
> work for you?
>> ;; TODO: Tests need a (deblobbed) Coreboot firmware for qemu.

Still seems a bit brief, but I suppose it is not terrible. :)

I might want to identify in the comment which tests need a coreboot
image and which need cbfstool for example. If it is really involved,
perhaps a link to a more detailed explanation, such as to a comment
filed on this bug report.

> Or do I really need to disable the failing tests[2]?

Well...

>    =================================
>       GRUB 2.06: ./test-suite.log
>    =================================
>    
>    # TOTAL: 80
>    # PASS:  19
>    # SKIP:  24
>    # XFAIL: 0
>    # FAIL:  37
>    # XPASS: 0
>    # ERROR: 0

Disabling all the tests means that you would miss out on at least 19
tests that currently PASS (but might someday fail, because they are
actually presumably testing something)...

Are all of the failures or skipped tests things that cannot reasonably
be fixed, such as being unable to build a coreboot image or cbfstool?

live well,
  vagrant